Skip to main content
POST
/
v1
/
users
/
{user_id}
/
tokens
Create a bridge token
curl --request POST \
  --url https://prod.truv.com/v1/users/{user_id}/tokens/ \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>' \
  --data '
{
  "product_type": "income",
  "tracking_info": "any data for tracking current user",
  "allowed_products": [
    "income"
  ],
  "company_mapping_id": "99dd17074ac94aa9ace2621d657c7610",
  "provider_id": "adp",
  "access_token": "99dd17074ac94aa9ace2621d657c7610",
  "template_id": "99dd17074ac94aa9ace2621d657c7610",
  "use_case": "mortgage_lending",
  "request_extended_history": true,
  "locale": "es",
  "data_sources": [
    "payroll"
  ]
}
'
{
  "bridge_token": "2f67984a110747d190c39e1022c81837",
  "tracking_info": "any data for tracking current user",
  "client_name": "Truv Demo",
  "product_type": "income",
  "allowed_products": [
    "income",
    "deposit_switch"
  ],
  "company_mapping_id": "99dd17074ac94aa9ace2621d657c7610",
  "access_token": "99dd17074ac94aa9ace2621d657c7610",
  "user_id": "99dd17074ac94aa9ace2621d657c7610",
  "template_id": "99dd17074ac94aa9ace2621d657c7610",
  "data_sources": [
    "payroll"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://truv.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

user_id
string
required

Body

application/json

Bridge token properties

product_type
enum<string>
required

Indicates the type of product to use:

  • employment - Employment verification,
  • income - Income and Employment verification,
  • deposit_switch - Direct deposit switch,
  • pll - Paycheck linked lending,
  • insurance - Insurance verification,
  • transactions - Financial account aggregation,
  • assets - Assets verification,
Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
tracking_info
string

Any information to associate with current user.

Example:

"any data for tracking current user"

allowed_products
enum<string>[]

List of all allowed products for this payroll connection. If not passed, only type from the product_type field will be allowed.

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
company_mapping_id
string

A mapping ID from a company to payroll provider.

Example:

"99dd17074ac94aa9ace2621d657c7610"

provider_id
string

An ID of a data provider for direct login.

Example:

"adp"

access_token
string

Access token of the existing link (used for the data refresh).

Example:

"99dd17074ac94aa9ace2621d657c7610"

account
object

Bank account info. Used for Direct deposit switching and Paycheck linked lending

template_id
string

An ID of a customization template.

Example:

"99dd17074ac94aa9ace2621d657c7610"

use_case
enum<string>
default:""

Use case for the connection.

Available options:
,
background_screening,
mortgage_lending,
home_equity_lending,
consumer_lending,
auto_lending,
tenant_screening,
banking,
government
Example:

"mortgage_lending"

request_extended_history
boolean
default:false

A boolean parameter to enable extended transaction/statement history.

Example:

true

locale
enum<string>

Locale parameter (ISO 639) for regional customization of the Bridge.

Available options:
en,
ar,
cmn,
es,
fa,
hy,
km,
zh,
hi,
hmn,
ja,
ko,
lo,
ium,
pa,
pt,
ru,
so,
tl,
th,
uk,
vi
Example:

"es"

data_sources
enum<string>[]

List of data sources for the provided product_type. Leave blank to apply default values.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax

Response

Data for the bridge token

bridge_token
string
required

The bridge token

Example:

"2f67984a110747d190c39e1022c81837"

tracking_info
string | null

Any information to associate with current user.

Example:

"any data for tracking current user"

client_name
string | null

Client name to be used in the Bridge.

Example:

"Truv Demo"

product_type
enum<string>

Indicates the type of product to use:

  • employment - Employment verification,
  • income - Income and Employment verification,
  • deposit_switch - Direct deposit switch,
  • pll - Paycheck linked lending,
  • insurance - Insurance verification,
  • transactions - Financial account aggregation,
  • assets - Assets verification,
Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
allowed_products
enum<string>[]

List of all allowed products for this payroll connection. If not passed, only main type will be allowed.

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
Example:
["income", "deposit_switch"]
company_mapping_id
string | null

A mapping ID from a company to payroll provider.

Example:

"99dd17074ac94aa9ace2621d657c7610"

access_token
string | null

Access token of the existing link (used for the data refresh).

Example:

"99dd17074ac94aa9ace2621d657c7610"

user_id
string

Unique Truv ID of the user.

Example:

"99dd17074ac94aa9ace2621d657c7610"

template_id
string | null

An ID of a customization template.

Example:

"99dd17074ac94aa9ace2621d657c7610"

data_sources
enum<string>[]

List of data sources for the provided product_type. Leave blank to apply default values.

Available options:
payroll,
docs,
insurance,
financial_accounts,
tax